//======================================================
//Thermodynamics - An Engineering approach
//Chapter-02, Energy, Energy transfer, and general energy analysis
//Exercise: 2.12, Page No: 76
//Title: Energy balance
//=====================================================
model Ex2_12
//Variable section
Real t_2(unit = "degC") "Final temperature in deg.C";
//=====================================================
//Parameter section
parameter Real t_1(unit = "degC") = 25 "Intial temperature in deg.C";
parameter Real P(unit = "W") = 200 "Power consumption by fan in Watt";
parameter Real a(unit = "m2") = 30 "Surface area in m2";
parameter Real U(unit = "W/m2") = 6 "Overall heat transfer coefficient";
//=====================================================
//Equation section
equation
t_2 = t_1+(P/(a*U));
//=====================================================
end Ex2_12;