//======================================================
//Thermodynamics - An Engineering approach
//Chapter-02, Energy, Energy transfer, and general energy analysis
//Exercise: 2.18, Page No: 91
//Title: Energy and environment
//=====================================================
model Ex2_18
//Variable section
Real Nox_savings(unit = "Kg/year") "Nox emissions the geothermal system savings per year";
Real Co2_savings(unit = "Kg/year") "Sox savings per year";
//=====================================================
//Parameter section
parameter Real Nox_emissions(unit = "Kg/therm") = 0.0047 "Nox emissions per therm";
parameter Real Co2_emissions(unit = "Kg/therm") = 6.4 "Co2 emissions per therm";
parameter Real n(unit = "therm/year") = 18e6 "Number of therms per year";
//=====================================================
//Equation section
equation
Nox_savings = Nox_emissions*n;
Co2_savings = Co2_emissions*n;
//======================================================
end Ex2_18;