//======================================================
//Thermodynamics - An Engineering approach
//Chapter-06, The second law of thermodynamics
//Exercise: 6.6, Page No: 310
//Title : The carnot refrigerator and heat pump
//=======================================================
model Ex6_6
//=======================================================
//Variable section 
Real COP_R_max "Coefficient of performance of refrigerator";
//=======================================================
//Parameter section
parameter Real T_L(unit = "deg.C") = 35 "Temperature of refrigerator";
parameter Real T_H(unit = "deg.C") = 75 "Room temperature";
//=======================================================
//Equation section
equation
COP_R_max = 1/(((T_H+460)/(T_L+460))-1);
//460 is added to convert deg.C to deg.F
//=======================================================
end Ex6_6;