//======================================================
//Thermodynamics - An Engineering approach
//Chapter-07, Entropy
//Exercise: 7.5, Page No: 343
//Title : Isentropic process
//=======================================================
model Ex7_5
//=======================================================
//Variable section 
Real W_out(unit = "kJ/Kg") "Work output of the turbine per unit mass of the steam";
//=======================================================
//Parameter section
parameter Real h_1(unit = "kJ/Kg") = 3317.2 "Enthalpy at inlet pressure of steam 5 MPa and at temperature 450 deg.C";
parameter Real S_1(unit = "kJ/Kg.K") = 6.8210 "Entropy t inlet pressure of steam 5 MPa and at temperature 450 deg.C";
parameter Real h_2(unit = "kJ/Kg") = 2967.4 "Enthalpy at pressure of steam 1.4 MPa";
//S_1 = S_2
//=======================================================
//Equation section
equation
W_out = h_1 - h_2; 
//=======================================================

end Ex7_5;